Skip to main content
POST

Restrictions

  • Quick Replies: Minimum 1, maximum 3 buttons
  • Title: Optional, maximum 20 characters
  • Button Title: Maximum 20 characters, cannot be empty, must be unique, no emojis or markdown

Use Cases

  • Yes/no questions
  • Simple confirmations
  • Binary options
  • Quick replies to frequently asked questions

Authorizations

Authorization
string
header
required

Basic authentication using Base64 encoded clientId:clientSecret

Path Parameters

botId
string
required

The unique identifier of the bot

Body

application/json

Message payload. The structure varies based on the message type.

type
enum<string>
required

Type of message to send

Available options:
text
Example:

"text"

userId
string
required

Unique identifier of the user receiving the message. Accepts either a phone number in E.164 format without the leading '+' (e.g. '593999999999') or a BSUID (Business-Scoped User ID, e.g. 'US.13491208655302741918') for users who have enabled phone number privacy in WhatsApp.

Example:

"593999999999"

text
string
required

Text content of the message

Example:

"Hello, this is a text message"

botId
string

Unique identifier of the bot sending the message

Example:

"BOT_ID"

Response

Message sent successfully

success
boolean
Example:

true

messageId
string
Example:

"msg_123456789"